Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/eosbn2.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/eosbn2.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/eosbn2.F90	(revision 12210)
@@ -318,5 +318,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-insitu  : ', kdim=jpk )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-insitu  : ', kdim=jpk )
       !
       IF( ln_timing )   CALL timing_stop('eos-insitu')
@@ -504,5 +504,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-pot: ', tab3d_2=prhop, clinfo2=' pot : ', kdim=jpk )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-pot: ', tab3d_2=prhop, clinfo2=' pot : ', kdim=jpk )
       !
       IF( ln_timing )   CALL timing_stop('eos-pot')
@@ -617,5 +617,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=prd, clinfo1=' eos2d: ' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab2d_1=prd, clinfo1=' eos2d: ' )
       !
       IF( ln_timing )   CALL timing_stop('eos2d')
@@ -749,5 +749,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=pab(:,:,:,jp_tem), clinfo1=' rab_3d_t: ', &
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=pab(:,:,:,jp_tem), clinfo1=' rab_3d_t: ', &
          &                       tab3d_2=pab(:,:,:,jp_sal), clinfo2=' rab_3d_s : ', kdim=jpk )
       !
@@ -883,5 +883,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=pab(:,:,jp_tem), clinfo1=' rab_2d_t: ', &
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab2d_1=pab(:,:,jp_tem), clinfo1=' rab_2d_t: ', &
          &                       tab2d_2=pab(:,:,jp_sal), clinfo2=' rab_2d_s : ' )
       !
@@ -1039,5 +1039,5 @@
       END DO
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=pn2, clinfo1=' bn2  : ', kdim=jpk )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=pn2, clinfo1=' bn2  : ', kdim=jpk )
       !
       IF( ln_timing )   CALL timing_stop('bn2')
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/isfstp.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/isfstp.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/isfstp.F90	(revision 12210)
@@ -248,5 +248,5 @@
       IF ( l_isfoasis .AND. ln_isf ) THEN
          !
-         CALL ctl_stop( ' ln_ctl and ice shelf not tested' )
+         CALL ctl_stop( ' sn_cfctl%l_prtctl and ice shelf not tested' )
          !
          ! NEMO coupled to ATMO model with isf cavity need oasis method for melt computation 
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/tradmp.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/tradmp.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/ISOMIP+/MY_SRC/tradmp.F90	(revision 12210)
@@ -156,5 +156,5 @@
       ENDIF
       !                           ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' dmp  - Ta: ', mask1=tmask,   &
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' dmp  - Ta: ', mask1=tmask,   &
          &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg	(revision 12210)
@@ -278,5 +278,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-ln_ctl = .false.
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg	(revision 12210)
@@ -278,5 +278,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-ln_ctl = .false.
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg	(revision 12210)
@@ -278,5 +278,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-ln_ctl = .false.
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg	(revision 12210)
@@ -278,5 +278,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-ln_ctl = .false.
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ncar_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ncar_cfg	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ncar_cfg	(revision 12210)
@@ -278,5 +278,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-ln_ctl = .false.
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 12210)
@@ -158,5 +158,5 @@
       INTEGER ::   ios, ilocal_comm   ! local integers
       !!
-      NAMELIST/namctl/ ln_ctl   , sn_cfctl, nn_print, nn_ictls, nn_ictle,   &
+      NAMELIST/namctl/ sn_cfctl%l_prtctl   , sn_cfctl, nn_print, nn_ictls, nn_ictle,   &
          &             nn_isplt , nn_jsplt, nn_jctls, nn_jctle,             &
          &             ln_timing, ln_diacfl
@@ -197,5 +197,5 @@
       !
       !                             !--------------------!
-      !                             ! Open listing units !  -> need ln_ctl from namctl to define lwp
+      !                             ! Open listing units !  -> need sn_cfctl%l_prtctl from namctl to define lwp
       !                             !--------------------!
       !
@@ -206,5 +206,5 @@
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namctl in configuration namelist' )
       !
-      lwp = (narea == 1) .OR. ln_ctl    ! control of all listing output print
+      lwp = (narea == 1) .OR. sn_cfctl%l_prtctl    ! control of all listing output print
       !
       IF(lwp) THEN                      ! open listing units
@@ -247,6 +247,6 @@
             &   CALL nemo_set_cfctl( sn_cfctl, .FALSE., .FALSE. )
       ELSE
-         ! Use ln_ctl to turn on or off all options.
-         CALL nemo_set_cfctl( sn_cfctl, ln_ctl, .TRUE. )
+         ! Use sn_cfctl%l_prtctl to turn on or off all options.
+         CALL nemo_set_cfctl( sn_cfctl, sn_cfctl%l_prtctl, .TRUE. )
       ENDIF
       !
@@ -292,5 +292,5 @@
       IF( lk_c1d       )   CALL     c1d_init        ! 1D column configuration
       CALL     dom_init("OPA") ! Domain
-      IF( ln_ctl       )   CALL prt_ctl_init        ! Print control
+      IF( sn_cfctl%l_prtctl       )   CALL prt_ctl_init        ! Print control
 
       CALL day_init        ! model calendar (using both namelist and restart infos)
@@ -322,5 +322,5 @@
          WRITE(numout,*) '~~~~~~~~'
          WRITE(numout,*) '   Namelist namctl'
-         WRITE(numout,*) '      run control (for debugging)     ln_ctl     = ', ln_ctl
+         WRITE(numout,*) '      run control (for debugging)     sn_cfctl%l_prtctl     = ', sn_cfctl%l_prtctl
          WRITE(numout,*) '       finer control over o/p sn_cfctl%l_config  = ', sn_cfctl%l_config
          WRITE(numout,*) '                              sn_cfctl%l_runstat = ', sn_cfctl%l_runstat
@@ -367,5 +367,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl ) THEN                 ! sub-domain area indices for the control prints
+      IF( sn_cfctl%l_prtctl ) THEN                 ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/sbcssm.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/sbcssm.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/sbcssm.F90	(revision 12210)
@@ -131,5 +131,5 @@
       vb (:,:,1) = ssv_m(:,:)
  
-      IF(ln_ctl) THEN                  ! print control
+      IF(sn_cfctl%l_prtctl) THEN                  ! print control
          CALL prt_ctl(tab2d_1=sst_m, clinfo1=' sst_m   - : ', mask1=tmask   )
          CALL prt_ctl(tab2d_1=sss_m, clinfo1=' sss_m   - : ', mask1=tmask   )
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/stpctl.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/stpctl.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/MY_SRC/stpctl.F90	(revision 12210)
@@ -67,5 +67,5 @@
       !
       ll_wrtstp  = ( MOD( kt, sn_cfctl%ptimincr ) == 0 ) .OR. ( kt == nitend )
-      ll_colruns = ll_wrtstp .AND. ( ln_ctl .OR. sn_cfctl%l_runstat )
+      ll_colruns = ll_wrtstp .AND. ( sn_cfctl%l_prtctl .OR. sn_cfctl%l_runstat )
       ll_wrtruns = ll_colruns
       IF( kt == nit000 .AND. lwp ) THEN
@@ -77,5 +77,5 @@
          !                                ! open run.stat file(s) at start whatever
          !                                ! the value of sn_cfctl%ptimincr
-         IF( ln_ctl .OR. sn_cfctl%l_runstat ) THEN
+         IF( sn_cfctl%l_prtctl .OR. sn_cfctl%l_runstat ) THEN
             CALL ctl_opn( numrun, 'run.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
             clname = 'run.stat.nc'
@@ -114,5 +114,5 @@
       END IF
       !                                   !==  error handling  ==!
-      IF( ( ln_ctl .OR. lsomeoce ) .AND. (   &             ! have use mpp_max (because ln_ctl=.T.) or contains some ocean points
+      IF( ( sn_cfctl%l_prtctl .OR. lsomeoce ) .AND. (   &             ! have use mpp_max (because sn_cfctl%l_prtctl=.T.) or contains some ocean points
          &  zmax(1) >    5._wp .OR.   &             ! too large wind stress ( > 5 N/m^2 )
          &  zmax(2) > 2000._wp .OR.   &             ! too large non-solar heat flux ( > 2000 W/m^2)
@@ -128,5 +128,5 @@
          CALL dia_wri_state( 'output.abort' )     ! create an output.abort file
 
-         IF( .NOT. ln_ctl ) THEN
+         IF( .NOT. sn_cfctl%l_prtctl ) THEN
             WRITE(ctmp8,*) 'E R R O R message from sub-domain: ', narea
             CALL ctl_stop( 'STOP', ctmp1, ' ', ctmp2, ' ', ctmp6, ' ' )
